Gecode::Int::GCC::Rank Class Reference
Other available functionality » Integer propagators » Support for GCC bounds propagation

Maps domain bounds to their position in hall[].bounds. More...

`#include <bnd-sup.hpp>`

## Public Attributes

int | min
int | max

## Detailed Description

Maps domain bounds to their position in hall[].bounds.

Definition at line 154 of file bnd-sup.hpp.

## Member Data Documentation

## min

int Gecode::Int::GCC::Rank::min

Definition at line 160 of file bnd-sup.hpp.

## max

int Gecode::Int::GCC::Rank::max

Definition at line 165 of file bnd-sup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/gcc/bnd-sup.hpp